package com.tjk.entity;

import java.io.Serializable;
import java.sql.Timestamp;

public class News implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2659396682622482098L;
	
	private Integer id;
	private Integer newsId;
	private Integer userId;
	private String author;
	private Integer newsType;
	private String newsTypeName;
	private String thumbnail;
	private String mthumbnail;
	private String title;
	private String summary;
	private String keyword;
	private String content;
	private Integer viewCount;
	private Timestamp pubTime;
	private Timestamp updateTime;
	private Integer status;
	private int fid;//用于判断新闻是否被收藏
	
	// Constructors

	public int getFid() {
		return fid;
	}

	public void setFid(int fid) {
		this.fid = fid;
	}

	/** default constructor */
	public News() {
	}
	
	/** full constructor */
	public News(Integer newsId, Integer userId, String author,
			Integer newsType, String newsTypeName, String thumbnail,
			String title, String summary, String keyword, String content,
			Integer viewCount, Timestamp pubTime, Timestamp updateTime,
			Integer status) {
		this.newsId = newsId;
		this.userId = userId;
		this.author = author;
		this.newsType = newsType;
		this.newsTypeName = newsTypeName;
		this.thumbnail = thumbnail;
		this.title = title;
		this.summary = summary;
		this.keyword = keyword;
		this.content = content;
		this.viewCount = viewCount;
		this.pubTime = pubTime;
		this.updateTime = updateTime;
		this.status = status;
	}
	
	// Property accessors

		public Integer getId() {
			return this.id;
		}

		public void setId(Integer id) {
			this.id = id;
		}

		public Integer getNewsId() {
			return this.newsId;
		}

		public void setNewsId(Integer newsId) {
			this.newsId = newsId;
		}

		public Integer getUserId() {
			return this.userId;
		}

		public void setUserId(Integer userId) {
			this.userId = userId;
		}

		public String getAuthor() {
			return this.author;
		}

		public void setAuthor(String author) {
			this.author = author;
		}

		public Integer getNewsType() {
			return this.newsType;
		}

		public void setNewsType(Integer newsType) {
			this.newsType = newsType;
		}

		public String getNewsTypeName() {
			return this.newsTypeName;
		}

		public void setNewsTypeName(String newsTypeName) {
			this.newsTypeName = newsTypeName;
		}

		public String getThumbnail() {
			return this.thumbnail;
		}

		public void setThumbnail(String thumbnail) {
			this.thumbnail = thumbnail;
		}

		public String getTitle() {
			return this.title;
		}

		public void setTitle(String title) {
			this.title = title;
		}

		public String getSummary() {
			return this.summary;
		}

		public void setSummary(String summary) {
			this.summary = summary;
		}

		public String getKeyword() {
			return this.keyword;
		}

		public void setKeyword(String keyword) {
			this.keyword = keyword;
		}

		public String getContent() {
			return this.content;
		}

		public void setContent(String content) {
			this.content = content;
		}

		public Integer getViewCount() {
			return this.viewCount;
		}

		public void setViewCount(Integer viewCount) {
			this.viewCount = viewCount;
		}

		public Timestamp getPubTime() {
			return this.pubTime;
		}

		public void setPubTime(Timestamp pubTime) {
			this.pubTime = pubTime;
		}

		public Timestamp getUpdateTime() {
			return this.updateTime;
		}

		public void setUpdateTime(Timestamp updateTime) {
			this.updateTime = updateTime;
		}

		public Integer getStatus() {
			return this.status;
		}

		public void setStatus(Integer status) {
			this.status = status;
		}

		public String getMthumbnail() {
			return mthumbnail;
		}

		public void setMthumbnail(String mthumbnail) {
			this.mthumbnail = mthumbnail;
		}
	
}
